Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79112 - rpm thinks most files are invalid
Summary: rpm thinks most files are invalid
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm
Version: 7.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-05 21:01 UTC by Sean McMurray
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-12-05 21:01:36 UTC


Attachments (Terms of Use)

Description Sean McMurray 2002-12-05 21:01:29 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1a) Gecko/20020702

Description of problem:
rpm keeps reporting errors with more files than not. The errors aren't always
the same, but the end result is. I updated to rpm-4.1-8x, but behavior didn't
change.

Examples:
> rpm -qp rpm-devel-4.1-8x.i386.rpm 
error: open of <!DOCTYPE failed: No such file or directory

> rpm -qp mozilla-1.2.1-0_rh7.i386.rpm 
error: mozilla-1.2.1-0_rh7.i386.rpm: headerRead failed: region trailer: BAD, tag
539848035 type 1886731625 offset -909653504 count 1668311407

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1.download rpm from vendor (e.g. rpm-devel-4.1-8x.i386.rpm) (binary download,
not ascii)
2.rpm -qp the file
	

Actual Results:  Various error messages.

Expected Results:  rpm should have queried the file and reported information.

Additional info:

Comment 1 Jeff Johnson 2002-12-06 17:05:25 UTC
The files you downloaded are not packages, but
rather CGI wrapper stuff.


Note You need to log in before you can comment on or make changes to this bug.